Show / Hide Table of Contents

# Class HttpHeader

Http Header object used by proxy

##### Inheritance

Object
HttpHeader

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class HttpHeader

### Constructors

| Improve this Doc View Source

#### HttpHeader(String, String)

Initialize a new instance.

##### Declaration

    public HttpHeader(string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | Header name.
String | value | Header value.

### Fields

| Improve this Doc View Source

#### HttpHeaderOverhead

HPACK: Header Compression for HTTP/2 Section 4.1. Calculating Table Size The additional 32 octets account for an estimated overhead associated with an entry.

##### Declaration

    public const int HttpHeaderOverhead = 32

##### Field Value

Type | Description
--- | ---
Int32 |

### Properties

| Improve this Doc View Source

#### Name

Header Name.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Size

##### Declaration

    public int Size { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### Value

Header Value.

##### Declaration

    public string Value { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

| Improve this Doc View Source

#### SizeOf(String, String)

##### Declaration

    public static int SizeOf(string name, string value)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name |
String | value |

##### Returns

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### ToString()

Returns header as a valid header string.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String |

##### Overrides

Object.ToString()